/* --------------------------------------------------------
 Generated by Lukman Hakim using sql2java (http://sql2java.sourceforge.net/ )
 jdbc driver used at code generation time: net.sourceforge.jtds.jdbc.Driver
 
 Author : Lukman Hakim (lukman.uki@gmail.com) 
 Date Created : 31/10/2017
 --------------------------------------------------------
*/
package com.portofolio.dto;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class TitleDto {


	@NotNull(message = "title.namatitle.notnull")
	@Size(min = 1, max = 10, message = "'namaTitle' must be between 1 and 10 characters in length.")
	private String namaTitle;

	@NotNull(message = "title.reportdisplay.notnull")
	@Size(min = 1, max = 10, message = "'reportDisplay' must be between 1 and 10 characters in length.")
	private String reportDisplay;

	private String kodeExternal;

	private String namaExternal;

	@NotNull(message = "title.statusenabled.notnull")
	private Boolean statusEnabled;


}
